Loading...
Searching...
No Matches
XrdCl::NullResponseHandler Class Reference

`#include <XrdClMessageUtils.hh>`

Inheritance diagram for XrdCl::NullResponseHandler:
Collaboration diagram for XrdCl::NullResponseHandler:

## Public Member Functions

virtual void | HandleResponseWithHosts (XrdCl::XRootDStatus *status, XrdCl::AnyObject *response, XrdCl::HostList *hostList)
Public Member Functions inherited from XrdCl::ResponseHandler
virtual | ~ResponseHandler ()
virtual void | HandleResponse (XRootDStatus *status, AnyObject *response)

## Additional Inherited Members

Static Public Member Functions inherited from XrdCl::ResponseHandler
static ResponseHandler * | Wrap (std::function< void(XRootDStatus &, AnyObject &)> func)
static ResponseHandler * | Wrap (std::function< void(XRootDStatus *, AnyObject *)> func)

## Detailed Description

Definition at line 114 of file XrdClMessageUtils.hh.

## Member Function Documentation

## HandleResponseWithHosts()

virtual void XrdCl::NullResponseHandler::HandleResponseWithHosts | ( | XrdCl::XRootDStatus * | status,
|  | XrdCl::AnyObject * | response,
|  | XrdCl::HostList * | hostList )

inline virtual

Called when a response to associated request arrives or an error occurs

Parameters

  status | status of the request
  response | an object associated with the response (request dependent)
  hostList | list of hosts the request was redirected to

Reimplemented from XrdCl::ResponseHandler.

Definition at line 120 of file XrdClMessageUtils.hh.

{
delete this;
}

The documentation for this class was generated from the following file:

- XrdClMessageUtils.hh